<html>   
  <head>   
    <title>Pagination</title>   
    <link rel="stylesheet"  
    href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">   
    <style>   
    table {  
        border-collapse: collapse;  
    }  
        .inline{   
            display: inline-block;   
            float: right;   
            margin: 20px 0px;   
        }   
         
        input, button{   
            height: 34px;   
        }   
  
    .pagination {   
        display: inline-block;   
    }   
    .pagination a {   
        font-weight:bold;   
        font-size:18px;   
        color: black;   
        float: left;   
        padding: 8px 16px;   
        text-decoration: none;   
        border:1px solid black;   
    }   
    .pagination a.active {   
            background-color: pink;   
    }   
    .pagination a:hover:not(.active) {   
        background-color: skyblue;   
    }   
        </style>   
  </head>   
  <body>   
  <center>  
    <?php  
       include '../config.php';
    //    include '../function.php';
    
        $per_page_record = 200;  // Number of entries to show in a page.   
        // Look for a GET variable page if not found default is 1.        
        if (isset($_GET["page"])) {    
            $page  = $_GET["page"];    
        }    
        else {    
          $page=1;    
        }    
    
        $start_from = ($page-1) * $per_page_record;     
    
        $query = "SELECT * FROM `log_visitors` ORDER BY `id` DESC LIMIT $start_from, $per_page_record ";     
        $rs_result = mysqli_query ($con, $query);    
    ?>    
  
    <div class="container">   
      <br>   
      <div>   
        <h1>Logs of users </h1>   
        
        <table class="table table-striped table-condensed    
                                          table-bordered">   
          <thead>   
            <tr>   
              <th width="10%">ID</th>   
              <th>brand</th>   
              <th>clicks</th>   
              <th>visits</th>   
              <th>ip</th>   
              <th>country</th>   
              <th>city</th>   
              <th>state</th>   
              <th>country code</th>       
              <th>created at</th>       
            </tr>   
          </thead>   
          <tbody>   
    <?php     
            while ($row = mysqli_fetch_array($rs_result)) {    
                  // Display each field of the records.    
                  if ($row["log_id"] !== 0) {
                    $res = mysqli_query($con, "select * from logs where `id` = '" . $row["log_id"]. "' ");

                    $brand_row = mysqli_fetch_array($res);
                    $brand = $brand_row['brand'];
                    // print_r($brand);

                  }else{
                    $brand ='';
                  }
            ?>     
            <tr>     
                <td><?php echo $row["id"]; ?></td>     
                <td><?php echo $brand; ?></td>     
                <td><?php echo $row["clicks"]; ?></td>   
                <td><?php echo $row["visits"]; ?></td>   
                <td><?php echo $row["ip"]; ?></td>                                           
                <td><?php echo $row["country"]; ?></td>                                           
                <td><?php echo $row["city"]; ?></td>                                           
                <td><?php echo $row["state"]; ?></td>                                           
                <td><?php echo $row["country_code"]; ?></td>                                           
                <td><?php echo $row["created_at"]; ?></td>     
            </tr>     
            <?php     
                };    
            ?>     
          </tbody>   
        </table>   
  
     <div class="pagination">    
      <?php  
        $query = "SELECT COUNT(*) FROM `log_visitors`";     
        $rs_result = mysqli_query($con, $query);     
        $row = mysqli_fetch_row($rs_result);     
        $total_records = $row[0];     
          
    echo "</br>";     
        // Number of pages required.   
        $total_pages = ceil($total_records / $per_page_record);     
        $pagLink = "";       
      
        if($page>=2){   
            echo "<a href='logs.php?page=".($page-1)."'>  Prev </a>";   
        }       
                   
        for ($i=1; $i<=$total_pages; $i++) {   
          if ($i == $page) {   
              $pagLink .= "<a class = 'active' href='logs.php?page="  
                                                .$i."'>".$i." </a>";   
          }               
          else  {   
              $pagLink .= "<a href='logs.php?page=".$i."'>   
                                                ".$i." </a>";     
          }   
        };     
        echo $pagLink;   
  
        if($page<$total_pages){   
            echo "<a href='logs.php?page=".($page+1)."'>  Next </a>";   
        }   
  
      ?>    
      </div>  
  
  
      <div class="inline">   
      <input id="page" type="number" min="1" max="<?php echo $total_pages?>"   
      placeholder="<?php echo $page."/".$total_pages; ?>" required>   
      <button onClick="go2Page();">Go</button>   
     </div>    
    </div>   
  </div>  
</center>   
  <script>   
    function go2Page()   
    {   
        var page = document.getElementById("page").value;   
        page = ((page><?php echo $total_pages; ?>)?<?php echo $total_pages; ?>:((page<1)?1:page));   
        window.location.href = 'logs.php?page='+page;   
    }   
  </script>  
  </body>   
</html>  
