<!DOCTYPE html>
<html lang="en">

<head>
    <title>Admin</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--===============================================================================================-->
    <link rel="icon" type="image/png" href="images/icons/favicon.ico" />
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="vendor/animate/animate.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="vendor/select2/select2.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="vendor/perfect-scrollbar/perfect-scrollbar.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="css/util.css">
    <link rel="stylesheet" type="text/css" href="css/main.css">
    <!--===============================================================================================-->
</head>

<body>
    <?php
    include '../config.php';
    include '../function.php';
    $brand = $_GET['brand'];
    $brands = mysqli_query($con, "select DISTINCT brand from logs");

    ?>
    <div class="limiter">
        <div class="container-table100">
            <?php


            if ($_GET['brand']) {
                $brandQuery = mysqli_query($con, "select * from brands where  `code` LIKE '" . $brand . "'");
                //echo "select * from brands where  `code` LIKE '".$brand."'";
                $rBrand = mysqli_fetch_array($brandQuery);
                    // var_dump($row);
                ;
            ?>
                <img src="../img/<?php echo $rBrand['image']; ?>" alt="" style="width:25%" />
            <?php } ?>
            <div class="wrap-table100">
                <div class="table100 ver1 m-b-110">
                    <div class="table100-head">
                        <table>
                            <thead>

                                <tr class="row100 head">
                                    <th class="cell100 column1">Date</th>
                                    <th class="cell100 column2">Code</th>
                                    <th class="cell100 column3">Vists</th>
                                    <th class="cell100 column4">Clicks</th>
                                    <th class="cell100 column5">
                                        <select name="brand" onchange="location = this.options[this.selectedIndex].value;">
                                            <option value="0">Choose Brand</option>
                                            <?php
                                            if (mysqli_num_rows($brands) > 0) {
                                                while ($row = mysqli_fetch_array($brands)) {
                                            ?><option value="?brand=<?php echo $row['brand'] ?>" <?php if ($row['brand'] == $brand) { ?> selected <?php } ?>><?php echo $row['brand'] ?></option><?
                                                                                                                                                                                        }
                                                                                                                                                                                    }
                                                                                                                                                                                            ?>
                                        </select>
                                    </th>
                                </tr>
                            </thead>
                        </table>
                    </div>

                    <div class="table100-body js-pscroll">
                        <table>
                            <tbody>

                                <?php
                                function CodeNumsByCountry($log_id, $day_of_item, $month_of_item, $year_of_item, $country)
                                {

                                    //echo "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from logs where `country_code` LIKE '".$country."' and `brand` LIKE '".$brand."'  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item";
                                    if ($country == "Other") {
                                        $countryCond = "`country_code` NOT IN ('EG','AE','SA','KW')";
                                    } else {
                                        $countryCond = "`country_code` LIKE '" . $country . "'";
                                    }

                                    //echo "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from log_visitors  where `log_id` = '".$log_id."' and $countryCond  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ";
                                    $output = mysqli_query($con, "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from log_visitors  where `log_id` = '" . $log_id . "' and $countryCond  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ") or die(mysqli_error($con));

                                    return mysqli_fetch_array($output);
                                }

                                $result = mysqli_query($con, "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,created_at from logs LEFT join log_visitors on logs.id=log_visitors.log_id where `brand` LIKE '" . $brand . "'  GROUP BY cast(log_visitors.created_at as date) order by log_visitors.created_at DESC") or die(mysqli_error());
                                if (mysqli_num_rows($result) > 0) {
                                    while ($item = mysqli_fetch_array($result)) {
                                ?>
                                        <tr class="row100 body">
                                            <td class="cell100 column1"><?php echo date('D M j, Y', strtotime($item['created_at'])) ?></td>
                                            <td class="cell100 column2"></td>
                                            <td class="cell100 column3"><?php echo $item['total_visits'] ?></td>
                                            <td class="cell100 column4"><?php echo $item['total_clicks'] ?></td>
                                            <td class="cell100 column5"></td>
                                        </tr>
                                        <?php
                                        $day_of_item = date('d', strtotime($item['created_at']));
                                        $month_of_item = date('m', strtotime($item['created_at']));
                                        $year_of_item = date('Y', strtotime($item['created_at']));
                                        //echo "select * from logs LEFT join log_visitors on logs.id=log_visitors.log_id where `brand` LIKE '".$brand."'  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ";
                                        $query = mysqli_query($con, "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,created_at,code,log_id from logs LEFT join log_visitors on logs.id=log_visitors.log_id where `brand` LIKE '" . $brand . "'  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item GROUP BY log_visitors.log_id") or die(mysqli_error());
                                        //echo "select * from logs where `brand` LIKE '".$brand."' and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item";
                                        while ($element = mysqli_fetch_array($query)) {
                                            $code = $element['code'];

                                        ?>
                                            <tr class="row100 body">
                                                <td class="cell100 column1" style="text-align: center;"><?php echo $element['created_at'] ?></td>
                                                <td class="cell100 column2"><?php echo $code; ?></td>
                                                <td class="cell100 column3"><?php echo $element['total_visits'] ?></td>
                                                <td class="cell100 column4"><?php echo $element['total_clicks'] ?></td>
                                                <td class="cell100 column5"></td>
                                            </tr>
                                            <?php

                                            $log_id = $element['log_id'];
                                            //echo "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from log_visitors  where `log_id` = '".$log_id."' and $countryCond  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ";
                                            $QueryCodeForEGY = mysqli_query($con, "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from log_visitors  where `log_id` = '" . $log_id . "' and `country_code` LIKE 'EG'  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ") or die(mysqli_error($con));
                                            $CodeNumsForEGY = mysqli_fetch_array($QueryCodeForEGY);

                                            $QueryCodeForSA = mysqli_query($con, "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from log_visitors  where `log_id` = '" . $log_id . "' and `country_code` LIKE 'SA'  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ") or die(mysqli_error($con));
                                            $CodeNumsForSA = mysqli_fetch_array($QueryCodeForSA);

                                            $QueryCodeForKW = mysqli_query($con, "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from log_visitors  where `log_id` = '" . $log_id . "' and `country_code` LIKE 'KW'  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ") or die(mysqli_error($con));
                                            $CodeNumsForKW = mysqli_fetch_array($QueryCodeForKW);

                                            $QueryCodeForAE = mysqli_query($con, "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from log_visitors  where `log_id` = '" . $log_id . "' and `country_code` LIKE 'AE'  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ") or die(mysqli_error($con));
                                            $CodeNumsForAE = mysqli_fetch_array($QueryCodeForAE);

                                            $countryOtherCond = "`country_code` NOT IN ('EG','AE','SA','KW')";
                                            $QueryCodeForOther = mysqli_query($con, "select SUM(`visits`) as total_visits,SUM(`clicks`) as total_clicks,country_code from log_visitors  where `log_id` = '" . $log_id . "' and $countryOtherCond  and DAY(`created_at`) = $day_of_item AND MONTH(`created_at`) = $month_of_item AND YEAR(`created_at`) = $year_of_item ") or die(mysqli_error($con));
                                            $CodeNumsForOther = mysqli_fetch_array($QueryCodeForOther);

                                            // $CodeNumsForEGY=CodeNumsByCountry($element['log_id'],$day_of_item,$month_of_item,$year_of_item,'EG');
                                            //$CodeNumsForSA=CodeNumsByCountry($element['log_id'],$day_of_item,$month_of_item,$year_of_item,'SA');
                                            // $CodeNumsForKW=CodeNumsByCountry($element['log_id'],$day_of_item,$month_of_item,$year_of_item,'KW');
                                            // $CodeNumsForAE=CodeNumsByCountry($element['log_id'],$day_of_item,$month_of_item,$year_of_item,'AE');
                                            //$CodeNumsForOther=CodeNumsByCountry($element['log_id'],$day_of_item,$month_of_item,$year_of_item,'Other');

                                            if ($CodeNumsForEGY['total_visits']) {
                                            ?>
                                                <tr class="row100 body">
                                                    <td class="cell100 column1"></td>
                                                    <td class="cell100 column2"></td>
                                                    <td class="cell100 column3"><?php echo $CodeNumsForEGY['total_visits'];
                                                                                ?></td>
                                                    <td class="cell100 column4"><?php echo $CodeNumsForEGY['total_clicks'] ?></td>
                                                    <td class="cell100 column5">EG</td>
                                                </tr>
                                            <?php
                                            }

                                            if ($CodeNumsForSA['total_visits']) {
                                            ?>
                                                <tr class="row100 body">
                                                    <td class="cell100 column1"></td>
                                                    <td class="cell100 column2"></td>
                                                    <td class="cell100 column3"><?php echo $CodeNumsForSA['total_visits'] ?></td>
                                                    <td class="cell100 column4"><?php echo $CodeNumsForSA['total_clicks'] ?></td>
                                                    <td class="cell100 column5">SA</td>
                                                </tr>
                                            <?php
                                            }

                                            if ($CodeNumsForKW['total_visits']) {
                                            ?>
                                                <tr class="row100 body">
                                                    <td class="cell100 column1"></td>
                                                    <td class="cell100 column2"></td>
                                                    <td class="cell100 column3"><?php echo $CodeNumsForKW['total_visits'] ?></td>
                                                    <td class="cell100 column4"><?php echo $CodeNumsForKW['total_clicks'] ?></td>
                                                    <td class="cell100 column5">KW</td>
                                                </tr>
                                            <?php
                                            }

                                            if ($CodeNumsForAE['total_visits']) {
                                            ?>
                                                <tr class="row100 body">
                                                    <td class="cell100 column1"></td>
                                                    <td class="cell100 column2"></td>
                                                    <td class="cell100 column3"><?php echo $CodeNumsForAE['total_visits'] ?></td>
                                                    <td class="cell100 column4"><?php echo $CodeNumsForAE['total_clicks'] ?></td>
                                                    <td class="cell100 column5">AE</td>
                                                </tr>
                                            <?php
                                            }

                                            if ($CodeNumsForOther['total_visits']) {
                                            ?>
                                                <tr class="row100 body">
                                                    <td class="cell100 column1"></td>
                                                    <td class="cell100 column2"></td>
                                                    <td class="cell100 column3"><?php echo $CodeNumsForOther['total_visits'] ?></td>
                                                    <td class="cell100 column4"><?php echo $CodeNumsForOther['total_clicks'] ?></td>
                                                    <td class="cell100 column5">Other</td>
                                                </tr>
                                <?php
                                            }
                                        }
                                    }
                                }  ?>



                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </div>
    </div>


    <!--===============================================================================================-->
    <script src="vendor/jquery/jquery-3.2.1.min.js"></script>
    <!--===============================================================================================-->
    <script src="vendor/bootstrap/js/popper.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.min.js"></script>
    <!--===============================================================================================-->
    <script src="vendor/select2/select2.min.js"></script>
    <!--===============================================================================================-->
    <script src="vendor/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script>
        $('.js-pscroll').each(function() {
            var ps = new PerfectScrollbar(this);

            $(window).on('resize', function() {
                ps.update();
            })
        });
    </script>
    <!--===============================================================================================-->
    <script src="js/main.js"></script>

</body>

</html>