<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <title>Create Link!</title>
</head>

<body>
    <?php
    include 'config.php';
    $full_link = '';

    if (isset($_POST['submit'])) {
        // print_r($_POST);
        $code = ($_POST['code'] == '')          ? '' : 'code=' .         preg_replace('/\s+/', '', str_rot13($_POST['code']));
        $URL = ($_POST['URL'] == '')            ? '' : '&URL=' .        preg_replace('/\s+/', '', $_POST['URL']);
        $brand = ($_POST['brand'] == '')        ? '' : '&brand=' .      preg_replace('/\s+/', '', $_POST['brand']);
        $lang = ($_POST['lang'] == '')          ? '' : '&lang=' .       preg_replace('/\s+/', '', $_POST['lang']);
        $discount = ($_POST['discount'] == '')  ? '' : '&discount=' .   preg_replace('/\s+/', '', $_POST['discount']);
        $gtm_debug = ($_POST['gtm_debug'] == '') ? '' : '&gtm_debug=' . preg_replace('/\s+/', '', $_POST['gtm_debug']);
        $cd2 = ($_POST['cd2'] == '')            ? '' : '&cd2=' .        preg_replace('/\s+/', '', str_rot13($_POST['cd2']));
        $img = ($_POST['img'] == '')            ? '' : '&img=' .        preg_replace('/\s+/', '', $_POST['img']);
        $cdfreq = ($_POST['cdfreq'] == '')      ? '' : '&cdfreq=' .     preg_replace('/\s+/', '', str_rot13($_POST['cdfreq']));

        $img_ext = ($_POST['img_ext'] == '')    ? '' : '&img_ext=' .    preg_replace('/\s+/', '', $_POST['img_ext']);
        $text1 = ($_POST['text1'] == '')        ? '' : '&text1=' .       $_POST['text1'];
        // $text1 = ($_POST['text1'] == '')        ? '' : '&text1=' .      preg_replace('/\s+/', '', $_POST['text1']);
        $redirect = ($_POST['redirect'] == '')  ? '' : '&redirect=' .   preg_replace('/\s+/', '', $_POST['redirect']);
        $text2 = ($_POST['text2'] == '')        ? '' : '&text2=' .   $_POST['text2'];
        // $text2 = ($_POST['text2'] == '')        ? '' : '&text2=' .   preg_replace('/\s+/', '', $_POST['text2']);

        $full_link = "https://jokercoupon.com/copycode/index-new.php?" . $code . $URL . $brand . $lang . $discount . $gtm_debug . $cd2 . $img . $cdfreq . $img_ext . $text1 . $redirect . $text2;
    }
    ?>

    <div class="container">
        <h1>Create Link</h1>

        <form method="POST" action="">
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">code</label>
                <div class="col-sm-6">
                    <input type="text" name="code" class="form-control" id="code" value="<?= $_POST['code'] ?? '' ?>" placeholder="Enter Code..">
                </div>
            </div>

            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">URL</label>
                <div class="col-sm-6">
                    <input type="text" name="URL" class="form-control" id="URL" value="<?= $_POST['URL'] ?? '' ?>" placeholder="Enter URL..">
                </div>
            </div>
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">brand</label>
                <div class="col-sm-6">
                    <input type="text" name="brand" class="form-control" id="brand" value="<?= $_POST['brand'] ?? '' ?>" placeholder="Enter brand..">
                </div>
            </div>
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">lang</label>
                <div class="col-sm-6">
                    <input type="text" name="lang" class="form-control" id="lang" value="<?= $_POST['lang'] ?? '' ?>" placeholder="Enter lang..">
                </div>
            </div>
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">discount</label>
                <div class="col-sm-6">
                    <input type="text" name="discount" class="form-control" id="discount" value="<?= $_POST['discount'] ?? '' ?>" placeholder="Enter discount..">
                </div>
            </div>
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">gtm_debug</label>
                <div class="col-sm-6">
                    <input type="text" name="gtm_debug" class="form-control" id="gtm_debug" value="<?= $_POST['gtm_debug'] ?? '' ?>" value="1666098572275" placeholder="Enter gtm_debug..">
                </div>
            </div>
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">cd2</label>
                <div class="col-sm-6">
                    <input type="text" name="cd2" class="form-control" id="cd2" value="<?= $_POST['cd2'] ?? '' ?>" placeholder="Enter cd2..">
                </div>
            </div>
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">img</label>
                <div class="col-sm-6">
                    <input type="text" name="img" class="form-control" id="img" value="<?= $_POST['img'] ?? '' ?>" placeholder="Enter img..">
                </div>
            </div>
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">cdfreq</label>
                <div class="col-sm-6">
                    <input type="text" name="cdfreq" class="form-control" id="cdfreq" value="<?= $_POST['cdfreq'] ?? '' ?>" placeholder="Enter cdfreq..">
                </div>
            </div>



            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">img_ext</label>
                <div class="col-sm-6">
                    <input type="text" name="img_ext" class="form-control" id="img_ext" value="<?= $_POST['img_ext'] ?? '' ?>" placeholder="Enter img_ext..">
                </div>
            </div>

            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">text1</label>
                <div class="col-sm-6">
                    <input type="text" name="text1" class="form-control" id="text1" value="<?= $_POST['text1'] ?? '' ?>" placeholder="Enter text1..">
                </div>
            </div>

            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">redirect</label>
                <div class="col-sm-6">
                    <input type="text" name="redirect" class="form-control" id="redirect" value="<?= $_POST['redirect'] ?? '' ?>" placeholder="Enter redirect..">
                </div>
            </div>

            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label">text2</label>
                <div class="col-sm-6">
                    <input type="text" name="text2" class="form-control" id="text2" value="<?= $_POST['text2'] ?? '' ?>" placeholder="Enter text2..">
                </div>
            </div>

            <hr>

            <div class="form-group row">
                <div class="col-sm-2">
                    <button type="submit" name="submit" value="submit" class="btn btn-primary">Create Link</button>
                </div>

                <div class="col-sm-1">
                    <button type="reset" name="reset" value="reset" class="btn btn-danger">Reset</button>
                </div>
            </div>
        </form>

        <?php
        if ($full_link != '') {
        ?>
            <hr>
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-1 col-form-label">Full Link</label>
                <div class="col-sm-10">
                    <input type="text" disabled class="form-control" id="full_link" oncopy="alert('can not be copied.'); return false;" value="<?= $full_link; ?>">
                </div>
                <div class="col-sm-1">
                    <button type="button" onclick="copy()" class="btn btn-success">Copy</button>

                </div>
            </div>
        <?php
        }
        ?>
    </div>


    <script>
        function copy() {
            // Get the text field
            var copyText = document.getElementById("full_link");

            // Select the text field
            copyText.select();
            copyText.setSelectionRange(0, 99999); // For mobile devices

            // Copy the text inside the text field
            navigator.clipboard.writeText(copyText.value);

            // Alert the copied text
            alert("Copied the text: " + copyText.value);
        }
    </script>



    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>

</html>